#include <iostream>
#include <vector>
using namespace std;
vector<int> solve(vector<int> a) {
	for (int i = 0; i < a.size(); i++) {
		if (i == 0) {
			a[i] = a.size() - 1;
		}
		else {
			a[i] = i - 1;
		}
	}
	return a;
}